# Condition ItemModel

A **Condition ItemModel**, is a true/false statement to determine what to show the client.\
Vanilla makes use of this in Bows to show a different one when its being used/pulled and not.\
\
There are other ways to use this as it has several properties it can use for this condition.\
Recommend to check the [Minecraft Wiki](https://minecraft.wiki/w/Items_model_definition#condition) for an always up-to-date list.

Below is an example for showing a different Model if an item is broken vs when not;

```yaml
custom_sword:
  ItemModel:
    type: condition
    property: broken
    on_true:
      type: model
      model: namespace:custom_sword_broken
    on_false:
      type: model
      model: namespace:custom_sword
```

{% hint style="info" %}
You can also chain these to use different ItemModel-types inside the true/false ItemModels here for very complex items
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nexomc.com/configuration/items/itemmodel-builder/condition-itemmodel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
